feature_dir=clip_feat
ENCODER=$1
SHOT=$2  # 1, 2, 4, 8, 16

for DATASET in ImageNet # ImageNet21K
do
    python linear_probe.py \
    --dataset ${DATASET} \
    --encoder ${ENCODER} \
    --feature_dir ${feature_dir} \
    --num_step 8 \
    --num_run 1 \
    --num_shot ${SHOT}
done

# sh linear_probe.sh rn50 1
# sh linear_probe.sh vit_b32 1
# sh linear_probe.sh vit_b16 1